Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limadv_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limadv_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limadv_2.F90	(revision 2633)
@@ -58,5 +58,5 @@
       !! Reference:  Prather, 1986, JGR, 91, D6. 6671-6681.
       !!--------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zf0  => wrk_2d_11 , zfx   => wrk_2d_12 , zfy    => wrk_2d_13 , zbet => wrk_2d_14   ! 2D workspace
       USE wrk_nemo, ONLY:   zfm  => wrk_2d_15 , zfxx  => wrk_2d_16 , zfyy   => wrk_2d_17 , zfxy => wrk_2d_18   !  -      -
@@ -77,5 +77,5 @@
       !---------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+      IF( wrk_in_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
          CALL ctl_stop( 'lim_adv_x_2 : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -224,5 +224,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
          CALL ctl_stop( 'lim_adv_x_2 : failed to release workspace arrays.' )
       END IF
@@ -245,5 +245,5 @@
       !! Reference:  Prather, 1986, JGR, 91, D6. 6671-6681.
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zf0  => wrk_2d_11 , zfx   => wrk_2d_12 , zfy    => wrk_2d_13 , zbet => wrk_2d_14   ! 2D workspace
       USE wrk_nemo, ONLY:   zfm  => wrk_2d_15 , zfxx  => wrk_2d_16 , zfyy   => wrk_2d_17 , zfxy => wrk_2d_18   !  -      -
@@ -264,5 +264,5 @@
       !---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+      IF(wrk_in_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
          CALL ctl_stop( 'lim_adv_y_2 : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -414,5 +414,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
         CALL ctl_stop( 'lim_adv_y_2 : failed to release workspace arrays.' )
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 2633)
@@ -58,5 +58,5 @@
       !!              - treatment of the case if no ice dynamic
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   wrk_1d_1, wrk_1d_2
       USE wrk_nemo, ONLY:   zu_io => wrk_2d_1, zv_io => wrk_2d_2  ! ice-ocean velocity
@@ -71,5 +71,5 @@
       !!---------------------------------------------------------------------
 
-      IF(  .NOT. wrk_use(1, 1,2)  .OR.  .NOT. wrk_use(2, 1,2)  ) THEN
+      IF(  wrk_in_use(1, 1,2)  .OR.  wrk_in_use(2, 1,2)  ) THEN
          CALL ctl_stop( 'lim_dyn_2 : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -210,5 +210,5 @@
       IF(ln_ctl)   CALL prt_ctl(tab2d_1=ust2s , clinfo1=' lim_dyn  : ust2s :')
       !
-      IF( (.NOT. wrk_release(1, 1,2)) .OR. (.NOT. wrk_release(2, 1,2)) )THEN
+      IF( wrk_not_released(1, 1,2) .OR. wrk_not_released(2, 1,2) )THEN
          CALL ctl_stop('lim_dyn_2 : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limhdf_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limhdf_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limhdf_2.F90	(revision 2633)
@@ -51,5 +51,5 @@
       !! ** Action  :    update ptab with the diffusive contribution
       !!-------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zflu => wrk_2d_11, zdiv  => wrk_2d_13, zrlx  => wrk_2d_15 
       USE wrk_nemo, ONLY:   zflv => wrk_2d_12, zdiv0 => wrk_2d_14, ztab0 => wrk_2d_16
@@ -63,5 +63,5 @@
       !!-------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 11,12,13,14,15,16) ) THEN
+      IF( wrk_in_use(2, 11,12,13,14,15,16) ) THEN
          CALL ctl_stop( 'lim_hdf_2 : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -149,5 +149,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 11,12,13,14,15,16) ) THEN
+      IF( wrk_not_released(2, 11,12,13,14,15,16) ) THEN
          CALL ctl_stop( 'lim_hdf_2 : failed to release workspace arrays.' )   ;   RETURN
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limmsh_2.F90	(revision 2633)
@@ -45,5 +45,5 @@
       !! ** Refer.  : Deleersnijder et al. Ocean Modelling 100, 7-10 
       !!--------------------------------------------------------------------- 
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zd2d1 => wrk_2d_1, zd1d2 => wrk_2d_2
       INTEGER :: ji, jj      ! dummy loop indices
@@ -56,5 +56,5 @@
       !!---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2))THEN
+      IF(wrk_in_use(2, 1,2))THEN
          CALL ctl_stop('lim_msh_2 : requested workspace arrays unavailable.')
          RETURN
@@ -281,5 +281,5 @@
       area(:,:) = e1t(:,:) * e2t(:,:)
       !
-      IF(.NOT. wrk_release(2, 1,2))THEN
+      IF(wrk_not_released(2, 1,2))THEN
          CALL ctl_stop('lim_msh_2 : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limrhg_2.F90	(revision 2633)
@@ -92,5 +92,5 @@
       !!              at I-point
       !!-------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zfrld => wrk_2d_1, zmass => wrk_2d_2, zcorl => wrk_2d_3
       USE wrk_nemo, ONLY: za1ct => wrk_2d_4, za2ct => wrk_2d_5, zresr => wrk_2d_6
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limsbc_2.F90	(revision 2633)
@@ -102,5 +102,5 @@
       !!              Tartinville et al. 2001 Ocean Modelling, 3, 95-108.
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_release, wrk_use
+      USE wrk_nemo, ONLY: wrk_not_released, wrk_in_use
       USE wrk_nemo, ONLY: zqnsoce => wrk_2d_1 ! 2D workspace
       USE wrk_nemo, ONLY: wrk_3d_4, wrk_3d_5
@@ -116,5 +116,5 @@
       !!---------------------------------------------------------------------
      
-      IF( (.NOT. wrk_use(2, 1)) .OR. (.NOT. wrk_use(3, 4,5)) )THEN
+      IF( wrk_in_use(2, 1) .OR. wrk_in_use(3, 4,5) )THEN
          CALL ctl_stop('lim_sbc_flx_2 : requested workspace arrays unavailable.')
          RETURN
@@ -253,5 +253,5 @@
       ENDIF 
       !
-      IF( (.NOT. wrk_release(2, 1)) .OR. (.NOT. wrk_release(3, 4,5)) )THEN
+      IF( wrk_not_released(2, 1) .OR. wrk_not_released(3, 4,5) )THEN
          CALL ctl_stop('lim_sbc_flx_2 : failed to release workspace arrays.')
       END IF
@@ -286,5 +286,5 @@
       !!              - taum       : modulus of the surface ocean stress (T-point) updated with ice-ocean fluxes
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztio_u => wrk_2d_1, ztio_v => wrk_2d_2     ! ocean stress below sea-ice
       INTEGER ,                     INTENT(in) ::   kt               ! ocean time-step index
@@ -297,5 +297,5 @@
       !!---------------------------------------------------------------------
       !
-      IF(.NOT. wrk_use(2, 1,2))THEN
+      IF(wrk_in_use(2, 1,2))THEN
          CALL ctl_stop('lim_sbc_tau_2 : requested workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -413,5 +413,5 @@
          &                       tab2d_2=vtau, clinfo2=' vtau    : '        , mask2=vmask )
       !  
-      IF(.NOT. wrk_release(2, 1,2) )   CALL ctl_stop('lim_sbc_tau_2 : failed to release workspace arrays.')
+      IF(wrk_not_released(2, 1,2) )   CALL ctl_stop('lim_sbc_tau_2 : failed to release workspace arrays.')
       !
    END SUBROUTINE lim_sbc_tau_2
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 2633)
@@ -75,5 +75,5 @@
       !! References :   Goosse et al. 1996, Bul. Soc. Roy. Sc. Liege, 65, 87-90
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: ztmp    => wrk_2d_1, & ! 2D workspace
                           zqlbsbq => wrk_2d_2, & ! link with lead energy budget qldif
@@ -116,6 +116,6 @@
       !!-------------------------------------------------------------------
 
-      IF( (.NOT. wrk_use(2, 1,2,3,4,5,6,7,8,9,10)) .OR.  &
-          (.NOT. wrk_use(3, 4))   ) THEN
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10) .OR.  &
+          wrk_in_use(3, 4)   ) THEN
          CALL ctl_stop('lim_thd_2 : requested workspace arrays unavailable')
          RETURN
@@ -521,6 +521,6 @@
       ENDIF
        !
-      IF( (.NOT. wrk_release(2, 1,2,3,4,5,6,7,8,9,10)) .OR.  &
-          (.NOT. wrk_release(3, 4))   ) THEN
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10) .OR.  &
+          wrk_not_released(3, 4)   ) THEN
          CALL ctl_stop('lim_thd_2 : failed to release workspace arrays')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_lac_2.F90	(revision 2633)
@@ -68,5 +68,5 @@
       !!   2.0  !  02-08 (C. Ethe, G. Madec)  F90, mpp
       !!-------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: wrk_1d_1, wrk_1d_2, wrk_1d_3, wrk_1d_4, wrk_1d_5, wrk_1d_6
       USE in_out_manager, ONLY: ctl_stop
@@ -106,5 +106,5 @@
       !!---------------------------------------------------------------------      
                
-      IF(.NOT. wrk_use(1, 1,2,3,4,5,6))THEN
+      IF(wrk_in_use(1, 1,2,3,4,5,6))THEN
          CALL ctl_stop('lim_thd_lac_2 : requestead workspace arrays unavailable.')
          RETURN
@@ -235,5 +235,5 @@
       END DO
       
-      IF(.NOT. wrk_release(1, 1,2,3,4,5,6))THEN
+      IF(wrk_not_released(1, 1,2,3,4,5,6))THEN
          CALL ctl_stop('lim_thd_lac_2 : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 2633)
@@ -69,5 +69,5 @@
       !!              Fichefet T. and M. Maqueda 1999, Clim. Dyn, 15(4), 251-268  
       !!------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: wrk_1d_1,  wrk_1d_2,  wrk_1d_3,  wrk_1d_4,  wrk_1d_5 
       USE wrk_nemo, ONLY: wrk_1d_6,  wrk_1d_7,  wrk_1d_8,  wrk_1d_9,  wrk_1d_10
@@ -169,7 +169,7 @@
        !!----------------------------------------------------------------------
 
-       IF(.NOT. wrk_use(1, 1,  2, 3, 4, 5, 6, 7, 8, 9,10, &
-                           11,12,13,14,15,16,17,18,19,20, &
-                           21,22,23,24,25,26,27))THEN
+       IF(wrk_in_use(1, 1,  2, 3, 4, 5, 6, 7, 8, 9,10, &
+                        11,12,13,14,15,16,17,18,19,20, &
+                        21,22,23,24,25,26,27))THEN
           CALL ctl_stop('lim_thd_zdf_2 : requested workspace arrays unavailable.')
           RETURN
@@ -808,7 +808,7 @@
        END DO
        ! 
-       IF(.NOT. wrk_release(1, 1,  2, 3, 4, 5, 6, 7, 8, 9,10, &
-                               11,12,13,14,15,16,17,18,19,20, &
-                               21,22,23,24,25,26,27))THEN
+       IF(wrk_not_released(1, 1,  2, 3, 4, 5, 6, 7, 8, 9,10, &
+                              11,12,13,14,15,16,17,18,19,20, &
+                              21,22,23,24,25,26,27))THEN
           CALL ctl_stop('lim_thd_zdf_2 : failed to release workspace arrays.')
        END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limtrp_2.F90	(revision 2633)
@@ -63,5 +63,5 @@
       !! ** action :
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zui_u  => wrk_2d_1, zvi_v => wrk_2d_2, zsm  => wrk_2d_3
       USE wrk_nemo, ONLY: zs0ice => wrk_2d_4, zs0sn => wrk_2d_5, zs0a => wrk_2d_6
@@ -79,5 +79,5 @@
       !---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1,2,3,4,5,6,7,8,9,10))THEN
+      IF(wrk_in_use(2, 1,2,3,4,5,6,7,8,9,10))THEN
          CALL ctl_stop('lim_trp_2 : requested workspace arrays unavailable.')
          RETURN
@@ -274,5 +274,5 @@
       ENDIF
       !
-      IF(.NOT. wrk_release(2, 1,2,3,4,5,6,7,8,9,10))THEN
+      IF(wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10))THEN
          CALL ctl_stop('lim_trp_2 : failed to release workspace arrays.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_2/limwri_2.F90	(revision 2633)
@@ -103,5 +103,5 @@
       !!      of a day
       !!-------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_use, wrk_release
+      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY: zfield => wrk_2d_1
       !!
@@ -115,5 +115,5 @@
       !!-------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 1))THEN
+      IF(wrk_in_use(2, 1))THEN
          CALL ctl_stop('lim_wri_2 : requested workspace array unavailable.')
          RETURN
@@ -211,5 +211,5 @@
       IF( ( nn_fsbc * niter ) >= nitend )   CALL histclo( nice ) 
 
-      IF(.NOT. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('lim_wri_2 : failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limadv.F90	(revision 2633)
@@ -55,5 +55,5 @@
       !! Reference:  Prather, 1986, JGR, 91, D6. 6671-6681.
       !!--------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zf0  => wrk_2d_11 , zfx   => wrk_2d_12 , zfy    => wrk_2d_13 , zbet => wrk_2d_14   ! 2D workspace
       USE wrk_nemo, ONLY:   zfm  => wrk_2d_15 , zfxx  => wrk_2d_16 , zfyy   => wrk_2d_17 , zfxy => wrk_2d_18   !  -      -
@@ -74,5 +74,5 @@
       !---------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+      IF( wrk_in_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
          CALL ctl_stop( 'lim_adv_x : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -223,5 +223,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
          CALL ctl_stop( 'lim_adv_x : failed to release workspace arrays.' )
       END IF
@@ -244,5 +244,5 @@
       !! Reference:  Prather, 1986, JGR, 91, D6. 6671-6681.
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zf0  => wrk_2d_11 , zfx   => wrk_2d_12 , zfy    => wrk_2d_13 , zbet => wrk_2d_14   ! 2D workspace
       USE wrk_nemo, ONLY:   zfm  => wrk_2d_15 , zfxx  => wrk_2d_16 , zfyy   => wrk_2d_17 , zfxy => wrk_2d_18   !  -      -
@@ -263,5 +263,5 @@
       !---------------------------------------------------------------------
 
-      IF(.NOT. wrk_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+      IF(wrk_in_use(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
          CALL ctl_stop( 'lim_adv_y : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -413,5 +413,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
+      IF( wrk_not_released(2, 11,12,13,14,15,16,17,18,19,20,21) ) THEN
          CALL ctl_stop( 'lim_adv_y : failed to release workspace arrays.' )
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 2633)
@@ -55,5 +55,5 @@
       !!              - treatment of the case if no ice dynamic
       !!------------------------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   wrk_1d_1, wrk_1d_2
       USE wrk_nemo, ONLY:   zu_io => wrk_2d_1, zv_io => wrk_2d_2  ! ice-ocean velocity
@@ -68,5 +68,5 @@
       !!---------------------------------------------------------------------
 
-      IF(  .NOT. wrk_use(1, 1,2)  .OR.  .NOT. wrk_use(2, 1,2)  ) THEN
+      IF(  wrk_in_use(1, 1,2)  .OR.  wrk_in_use(2, 1,2)  ) THEN
          CALL ctl_stop( 'lim_dyn : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -212,5 +212,5 @@
       ENDIF
       !
-      IF(  .NOT. wrk_release(1, 1,2)  .OR.  .NOT. wrk_release(2, 1,2)  ) THEN
+      IF(  wrk_not_released(1, 1,2)  .OR.  wrk_not_released(2, 1,2)  ) THEN
          CALL ctl_stop( 'lim_dyn : failed to release workspace arrays.' )
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limhdf.F90	(revision 2633)
@@ -50,5 +50,5 @@
       !! ** Action  :    update ptab with the diffusive contribution
       !!-------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zflu => wrk_2d_11, zdiv  => wrk_2d_13, zrlx  => wrk_2d_15 
       USE wrk_nemo, ONLY:   zflv => wrk_2d_12, zdiv0 => wrk_2d_14, ztab0 => wrk_2d_16
@@ -62,5 +62,5 @@
       !!-------------------------------------------------------------------
       
-      IF( .NOT. wrk_use(2, 11,12,13,14,15,16) ) THEN
+      IF( wrk_in_use(2, 11,12,13,14,15,16) ) THEN
          CALL ctl_stop( 'lim_hdf: ERROR: requested workspace arrays unavailable' )   ;   RETURN
       END IF
@@ -146,5 +146,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 11,12,13,14,15,16) ) THEN
+      IF( wrk_not_released(2, 11,12,13,14,15,16) ) THEN
          CALL ctl_stop( 'lim_hdf : failed to release workspace arrays.' )   ;   RETURN
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limistate.F90	(revision 2633)
@@ -61,5 +61,5 @@
       !!                or from arbitrary sea-ice conditions
       !!-------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   wrk_1d_1, wrk_1d_2, wrk_1d_3, wrk_1d_4
       USE wrk_nemo, ONLY:   zidto => wrk_2d_1   ! ice indicator
@@ -72,5 +72,5 @@
       !--------------------------------------------------------------------
 
-      IF(  .NOT. wrk_use(1, 1,2)  ) THEN
+      IF(  wrk_in_use(1, 1,2)  ) THEN
          CALL ctl_stop( 'lim_istate : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -516,5 +516,5 @@
       CALL lbc_lnk( fsbbq  , 'T', 1. )
       !
-      IF(  .NOT. wrk_release(1, 1,2)  ) THEN
+      IF(  wrk_not_released(1, 1,2)  ) THEN
          CALL ctl_stop( 'lim_istate : failed to release workspace arrays.' )
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limitd_me.F90	(revision 2633)
@@ -148,5 +148,5 @@
       !!-----------------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 1,2,3,4,5,6,7,8) ) THEN
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7,8) ) THEN
          CALL ctl_stop(' : requested workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -494,5 +494,5 @@
       END DO
 
-      IF( .NOT. wrk_release(2, 1,2,3,4,5,6,7,8) )   CALL ctl_stop( 'lim_itd_me : failed to release workspace arrays.' )
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8) )   CALL ctl_stop( 'lim_itd_me : failed to release workspace arrays.' )
       !
    END SUBROUTINE lim_itd_me
@@ -524,5 +524,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 1) ) THEN
+      IF( wrk_in_use(2, 1) ) THEN
          CALL ctl_stop('lim_itd_me_icestrength : requested workspace array unavailable.')   ;   RETURN
       END IF
@@ -681,5 +681,5 @@
       CALL lbc_lnk( strength, 'T', 1. )
 
-      IF(.NOT. wrk_release(2, 1))THEN
+      IF(wrk_not_released(2, 1))THEN
          CALL ctl_stop('lim_itd_me_icestrength : failed to release workspace array.')
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limrst.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limrst.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limrst.F90	(revision 2633)
@@ -91,5 +91,5 @@
       !! ** purpose  :   output of sea-ice variable in a netcdf file
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   z2d  => wrk_2d_1   ! 2D workspace
       !
@@ -102,5 +102,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 1) ) THEN
+      IF( wrk_in_use(2, 1) ) THEN
          CALL ctl_stop( 'lim_rst_write : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -294,5 +294,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 1) ) THEN
+      IF( wrk_not_released(2, 1) ) THEN
          CALL ctl_stop( 'lim_rst_write : failed to release workspace arrays.' )
       END IF
@@ -307,5 +307,5 @@
       !! ** purpose  :   read of sea-ice variable restart in a netcdf file
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   z2d  => wrk_2d_1   ! 2D workspace
       !
@@ -320,5 +320,5 @@
       !!----------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 1) ) THEN
+      IF( wrk_in_use(2, 1) ) THEN
          CALL ctl_stop( 'lim_rst_read : requested workspace arrays unavailable.' )   ;   RETURN
       END IF
@@ -571,5 +571,5 @@
       CALL iom_close( numrir )
       !
-      IF( .NOT. wrk_release(2, 1) ) THEN
+      IF( wrk_not_released(2, 1) ) THEN
          CALL ctl_stop( 'lim_rst_read : failed to release workspace arrays.' )
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limsbc.F90	(revision 2633)
@@ -96,5 +96,5 @@
       !!              Tartinville et al. 2001 Ocean Modelling, 3, 95-108.
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_release, wrk_use
+      USE wrk_nemo, ONLY:   wrk_not_released, wrk_in_use
       USE wrk_nemo, ONLY:   zfcm1 => wrk_2d_1 , zfcm2 => wrk_2d_2   ! 2D workspace
       USE wrk_nemo, ONLY:   wrk_3d_4, wrk_3d_5                      ! 3D workspace
@@ -111,5 +111,5 @@
       !!---------------------------------------------------------------------
 
-      IF( .NOT.wrk_use(2, 1,2) .OR. .NOT.wrk_use(3, 4,5) ) THEN
+      IF( wrk_in_use(2, 1,2) .OR. wrk_in_use(3, 4,5) ) THEN
          CALL ctl_stop( 'lim_sbc_flx : requested workspace arrays unavailable.' )   ;   RETURN
       ENDIF
@@ -300,5 +300,5 @@
       ENDIF
       !
-      IF(  .NOT. wrk_release(2, 1,2)  .OR.  .NOT. wrk_release(3, 4,5)  ) THEN
+      IF(  wrk_not_released(2, 1,2)  .OR.  wrk_not_released(3, 4,5)  ) THEN
          CALL ctl_stop( 'lim_sbc_flx : failed to release workspace arrays.' )
       END IF
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 2633)
@@ -81,5 +81,5 @@
       !! ** References : H. Goosse et al. 1996, Bul. Soc. Roy. Sc. Liege, 65, 87-90
       !!---------------------------------------------------------------------
-      USE wrk_nemo, ONLY:   wrk_use, wrk_release
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
       USE wrk_nemo, ONLY:   zqlbsbq => wrk_2d_1   ! 2D workspace
       !
@@ -94,5 +94,5 @@
       !!-------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(2, 1) ) THEN
+      IF( wrk_in_use(2, 1) ) THEN
          CALL ctl_stop( 'lim_thd : requested workspace arrays unavailable' )   ;   RETURN
       ENDIF
@@ -458,5 +458,5 @@
       ENDIF
       !
-      IF( .NOT. wrk_release(2, 1) )   CALL ctl_stop( 'lim_thd : failed to release workspace arrays' )
+      IF( wrk_not_released(2, 1) )   CALL ctl_stop( 'lim_thd : failed to release workspace arrays' )
       !
    END SUBROUTINE lim_thd
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_dh.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_dh.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_dh.F90	(revision 2633)
@@ -102,5 +102,5 @@
       !!------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22) ) THEN
+      IF( wrk_in_use(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22) ) THEN
          CALL ctl_stop('lim_thd_dh : requestead workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -699,5 +699,5 @@
       END DO !ji
       !
-      IF( .NOT. wrk_release(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21) )   &
+      IF( wrk_not_released(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21) )   &
          &     CALL ctl_stop('lim_thd_dh : failed to release workspace arrays.')
       !
Index: /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_ent.F90
===================================================================
--- /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_ent.F90	(revision 2632)
+++ /branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/LIM_SRC_3/limthd_ent.F90	(revision 2633)
@@ -121,5 +121,5 @@
       !!-------------------------------------------------------------------
 
-      IF( .NOT. wrk_use(1, 1,2,3,4,5,6,7,8) ) THEN
+      IF( wrk_in_use(1, 1,2,3,4,5,6,7,8) ) THEN
          CALL ctl_stop('lim_thd_dh : requestead workspace arrays unavailable.')   ;   RETURN
       END IF
@@ -687,5 +687,5 @@
       END DO !jk
       !
-      IF( .NOT. wrk_release(1, 1,2,3,4,5,6,7,8) )   CALL ctl_stop( 'lim_thd_ent : failed to release workspace arrays.' )
+      IF( wrk_not_released(1, 1,2,3,4,5,6,7,8) )   CALL ctl_stop( 'lim_thd_ent : failed to release workspace arrays.' )
       !
    END SUBROUTINE lim_thd_ent
